Show / Hide Table of Contents

# Struct ImGuiViewport

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiViewport

### Fields

| Improve this Doc View Source

#### DpiScale

##### Declaration

    public float DpiScale

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### DrawData

##### Declaration

    public ImDrawData*DrawData

##### Field Value

Type | Description
--- | ---
ImDrawData* |

| Improve this Doc View Source

#### Flags

##### Declaration

    public ImGuiViewportFlags Flags

##### Field Value

Type | Description
--- | ---
ImGuiViewportFlags |

| Improve this Doc View Source

#### ID

##### Declaration

    public uint ID

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ParentViewportId

##### Declaration

    public uint ParentViewportId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### PlatformHandle

##### Declaration

    public void *PlatformHandle

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### PlatformHandleRaw

##### Declaration

    public void *PlatformHandleRaw

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### PlatformRequestClose

##### Declaration

    public byte PlatformRequestClose

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### PlatformRequestMove

##### Declaration

    public byte PlatformRequestMove

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### PlatformRequestResize

##### Declaration

    public byte PlatformRequestResize

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### PlatformUserData

##### Declaration

    public void *PlatformUserData

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### Pos

##### Declaration

    public Vector2 Pos

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### RendererUserData

##### Declaration

    public void *RendererUserData

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### Size

##### Declaration

    public Vector2 Size

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### WorkPos

##### Declaration

    public Vector2 WorkPos

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### WorkSize

##### Declaration

    public Vector2 WorkSize

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |